Tone down warning about GNU Interactive Tools
authorJunio C Hamano <gitster@pobox.com>
Mon, 7 Jul 2008 02:10:00 +0000 (19:10 -0700)
committerJunio C Hamano <gitster@pobox.com>
Wed, 9 Jul 2008 06:05:26 +0000 (23:05 -0700)
The mention of 1997 was correct when it was made, and it still is true
to some extent (http://savannah.gnu.org/forum/forum.php?forum_id=5189
says it has not been actively maintained for quite some time).  However,
because its name changed not to conflict with us, it is no longer
relevant whether many users use gnuit or have moved away to graphical
file managers.

The only people possibly affected are people who have older version of
gnuit installed as "git".

Signed-off-by: Junio C Hamano <gitster@pobox.com>
INSTALL

diff --git a/INSTALL b/INSTALL
index 0efb4b7..7d0c2c2 100644 (file)
--- a/INSTALL
+++ b/INSTALL
@@ -24,17 +24,15 @@ set up install paths (via config.mak.autogen), so you can write instead
 
 Issues of note:
 
- - git normally installs a helper script wrapper called "git", which
-   conflicts with a similarly named "GNU interactive tools" program.
-
-   Let's face it, most of us don't have GNU interactive tools, and even
-   if we had it, we wouldn't know what it does.  I don't think it has
-   been actively developed since 1997, and people have moved over to
-   graphical file managers.
-
-   In addition, as of gnuit-4.9.2, the GNU interactive tools package has
-   been renamed. You can compile gnuit with the --disable-transition
-   option and then it will not conflict with git.
+ - Ancient versions of GNU Interactive Tools (pre-4.9.2) installed a
+   program "git", whose name conflicts with this program.  But with
+   version 4.9.2, after long hiatus without active maintenance (since
+   around 1997), it changed its name to gnuit and the name conflict is no
+   longer a problem.
+
+   NOTE: When compiled with backward compatiblity option, the GNU
+   Interactive Tools package still can install "git", but you can build it
+   with --disable-transition option to avoid this.
 
  - You can use git after building but without installing if you
    wanted to.  Various git commands need to find other git